Product comparison · 2 network switches

Allied Telesis AT-FS750/20-10 network switch Managed Fast Ethernet (10/100) 1U Grey vs Allied Telesis AT-FS750/52-10 network switch Managed Fast Ethernet (10/100) 1U Grey

Add a product
  • 43specifications compared
  • 11differ
  • 32identical
  • 25known for one product only

Key differences

  • Basic switching RJ-45 Ethernet ports quantity
    • AT-FS750/20-10 network switch Managed Fast Ethernet (10/100) 1U Grey:20
    • AT-FS750/52-10 network switch Managed Fast Ethernet (10/100) 1U Grey:52
  • Fast Ethernet (copper) ports quantity
    • AT-FS750/20-10 network switch Managed Fast Ethernet (10/100) 1U Grey:16
    • AT-FS750/52-10 network switch Managed Fast Ethernet (10/100) 1U Grey:48
  • Virtual LAN features
    • AT-FS750/20-10 network switch Managed Fast Ethernet (10/100) 1U Grey:Port-based VLAN, Tagged VLAN
    • AT-FS750/52-10 network switch Managed Fast Ethernet (10/100) 1U Grey:Tagged VLAN, Port-based VLAN
  • MAC address table
    • AT-FS750/20-10 network switch Managed Fast Ethernet (10/100) 1U Grey:8000 entries
    • AT-FS750/52-10 network switch Managed Fast Ethernet (10/100) 1U Grey:16000 entries
  • Switching capacity
    • AT-FS750/20-10 network switch Managed Fast Ethernet (10/100) 1U Grey:11.2 Gbit/s
    • AT-FS750/52-10 network switch Managed Fast Ethernet (10/100) 1U Grey:17.6 Gbit/s
  • DHCP features
    • AT-FS750/20-10 network switch Managed Fast Ethernet (10/100) 1U Grey:DHCP client
    • AT-FS750/52-10 network switch Managed Fast Ethernet (10/100) 1U Grey:DHCP server, DHCP client
  • Power consumption (max)
    • AT-FS750/20-10 network switch Managed Fast Ethernet (10/100) 1U Grey:7.6 W
    • AT-FS750/52-10 network switch Managed Fast Ethernet (10/100) 1U Grey:13.25 W
  • Width
    • AT-FS750/20-10 network switch Managed Fast Ethernet (10/100) 1U Grey:330 mm
    • AT-FS750/52-10 network switch Managed Fast Ethernet (10/100) 1U Grey:440 mm

Side by side

Differences highlightedShow differences only (off)
Comparison of AT-FS750/20-10, AT-FS750/52-10
68 specifications
Management featuresidentical
Switch typeManagedManaged
Quality of Service (QoS) supportYesYes
Web-based managementYesYes
System event logYesYes
MIB supportRFC 1213 MIB-II, RFC 1643 Ethernet MIB, RFC 1493 Bridge MIB, RFC 2131 DHCP client, Private Enterprise MIBRFC 1213 MIB-II, RFC 1643 Ethernet MIB, RFC 1493 Bridge MIB, RFC 2131 DHCP client, Private Enterprise MIB
Ports & interfaces2 differ
Basic switching RJ-45 Ethernet ports quantityDiffers2052
Basic switching RJ-45 Ethernet ports typeFast Ethernet (10/100)Fast Ethernet (10/100)
Fast Ethernet (copper) ports quantityDiffers1648
Gigabit Ethernet (copper) ports quantity22
Installed SFP modules quantity00
Installed SFP+ modules quantity00
Combo SFP ports quantity22
Network2 differ
Networking standardsDiffersIEEE 802.11d, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3zIEEE 802.1D, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ad, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z
10G supportNoNo
Port mirroringYesYes
Broadcast storm controlYesYes
Flow control supportYesYes
Head-of-line (HOL) blockingYesYes
Link aggregationYesYes
Rate limitingYesYes
Spanning tree protocolYesYes
Virtual LAN featuresDiffersPort-based VLAN, Tagged VLANTagged VLAN, Port-based VLAN
Number of VLANsKnown for oneUnknown — not stated by the source4000
Data transmission2 differ
MAC address tableDiffers8000 entries16000 entries
Switching capacityDiffers11.2 Gbit/s17.6 Gbit/s
Forwarding rateKnown for oneUnknown — not stated by the source13.1 Mpps
Jumbo frames supportYesYes
Jumbo framesKnown for oneUnknown — not stated by the source10000
Packet buffer memoryKnown for oneUnknown — not stated by the source4.1 MB
Number of queuesKnown for one4Unknown — not stated by the source
Packet forwarding rate (1 Gbps)Known for one1488000 ppsUnknown — not stated by the source
Packet forwarding rate (10 Mbps)Known for one14880 ppsUnknown — not stated by the source
Packet forwarding rate (100 Mbps)Known for one148800 ppsUnknown — not stated by the source
Security1 differ
DHCP featuresDiffersDHCP clientDHCP server, DHCP client
Access Control List (ACL)YesYes
Access Control List (ACL) rulesKnown for oneUnknown — not stated by the source200
IGMP snoopingYesYes
MAC address filteringYesYes
Password protectionKnown for oneUnknown — not stated by the sourceYes
Security algorithmsKnown for oneUnknown — not stated by the source802.1x RADIUS, SNMPv3
AuthenticationKnown for oneMAC-based authenticationUnknown — not stated by the source
Multicast featuresidentical
Multicast supportYesYes
Number of multicast groups filtered256256
Designidentical
Rack mountingYesYes
Form factor1U1U
Product colourGreyGrey
LED indicatorsKnown for oneUnknown — not stated by the sourceYes
Performanceidentical
Internal memoryKnown for oneUnknown — not stated by the source128 MB
Flash memoryKnown for oneUnknown — not stated by the source16 MB
Power1 differ
AC input voltage100 - 240 V100 - 240 V
AC input frequency50 - 60 Hz50 - 60 Hz
Power consumption (max)Differs7.6 W13.25 W
Power over Ethernet (PoE)identical
Power over Ethernet (PoE)NoNo
Operational conditionsidentical
Operating temperature (T-T)0 - 40 °C0 - 40 °C
Storage temperature (T-T)Known for oneUnknown — not stated by the source-25 - 70 °C
Operating relative humidity (H-H)Known for oneUnknown — not stated by the source5 - 90%
Storage relative humidity (H-H)Known for oneUnknown — not stated by the source5 - 95%
Weight & dimensions3 differ
WidthDiffers330 mm440 mm
DepthDiffers180 mm250 mm
Height44 mm44 mm
WeightDiffers2.2 kg3 kg
Packaging contentidentical
ManualKnown for oneUnknown — not stated by the sourceYes
Cables includedKnown for oneACUnknown — not stated by the source
Packaging dataidentical
Included power plug typesKnown for oneUnknown — not stated by the sourceUS
Mounting brackets includedKnown for oneUnknown — not stated by the sourceYes
Rubber feetKnown for oneUnknown — not stated by the sourceYes
Certificatesidentical
CertificationKnown for oneUnknown — not stated by the sourceUL60950-1 2nd edition (UL) FCC/EN55022/CISPR 22 Class A VCCI Class A C-Tick EN60950 (TUV) EN55024 CE Mark CSA / cUL
Protocolsidentical
Management protocolsKnown for oneFTP, HTTP, SNMPv1/v2c/v3, SNTPUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons